Skip to main content

Chains

Get information about all currently supported chains.

If you want to learn more about how to use this endpoint, please have a look at our guide.

API​

Endpoint Details​

GET /v1/chains

Get information about all blockchain networks supported by Xplore. This endpoint returns comprehensive metadata about each chain including native tokens, RPC URLs, block explorers, and more.

Request​

Headers

X-API-Keystring

The apiKey allows you to authenticate on the API (optional)

Query Parameters

chainTypesstring

Restrict the resulting chains to the given chainTypes (comma-separated, e.g., "EVM,SOLANA")

Example: EVM

Response​

Status Code: 200 OK
Content Type: application/json

Response

▼chainsobject[]required

Array of supported blockchain networks

idnumberrequired

Unique chain identifier

keystringrequired

Short string representation of the chain

namestringrequired

Name of the chain

chainTypestringrequired

Chain type (e.g., "EVM", "SOLANA")

coinstringrequired

Native coin symbol

mainnetbooleanrequired

Whether this is a mainnet chain

logoURIstring

URL to chain logo image

▼nativeTokenobject

Native token information

addressstringrequired

Token contract address (0x0000… for native tokens)

symbolstringrequired

Token symbol

decimalsnumberrequired

Token decimals

chainIdstringrequired

Chain ID

namestringrequired

Token name

priceUSDstring

Token price in USD

logoURIstring

URL to token logo image

▼metamaskobject

MetaMask configuration data

chainIdstringrequired

Chain ID in hexadecimal format

blockExplorerUrlsstring[]

Array of block explorer URLs

chainNamestringrequired

Chain name for MetaMask

▼nativeCurrencyobjectrequired

Native currency information

rpcUrlsstring[]

Array of RPC URLs

multicallAddressstring

Multicall contract address

Example Request​

curl --request GET \
--url https://xplore.api.v2.routerprotocol.com/v1/chains \
--header 'X-API-Key: your-api-key-here'

Example Response​

Status Code: 200 OK

{
"chains": [
{
"id": 1,
"key": "eth",
"name": "Ethereum",
"chainType": "EVM",
"coin": "ETH",
"mainnet": true,
"logoURI": "https://static.debank.com/image/chain/logo_url/eth/42ba589cd077e7bdd97db6480b0ff61d.png",
"nativeToken": {
"address": "0x0000000000000000000000000000000000000000",
"symbol": "ETH",
"decimals": 18,
"chainId": "1",
"name": "Ether",
"priceUSD": "2500.00",
"logoURI": "https://..."
},
"metamask": {
"chainId": "0x1",
"blockExplorerUrls": ["https://etherscan.io"],
"chainName": "Ethereum Mainnet",
"nativeCurrency": {
"name": "Ether",
"symbol": "ETH",
"decimals": 18
},
"rpcUrls": ["https://mainnet.infura.io/v3/..."]
},
"multicallAddress": "0xcA11bde05977b3631167028862bE2a173976CA11"
},
{
"id": 137,
"key": "pol",
"name": "Polygon",
"chainType": "EVM",
"coin": "MATIC",
"mainnet": true,
"nativeToken": {
"address": "0x0000000000000000000000000000000000000000",
"symbol": "MATIC",
"decimals": 18,
"chainId": "137",
"name": "Matic"
}
}
]
}

Code Examples​

JavaScript/TypeScript​

async function getChains() {
const response = await fetch('https://xplore.api.v2.routerprotocol.com/v1/chains', {
headers: {
'X-API-Key': 'your-api-key-here'
}
});

return await response.json();
}

// Usage
const chainsData = await getChains();
console.log(`Supported chains: ${chainsData.chains.length}`);

Python​

import requests

def get_chains():
response = requests.get(
'https://xplore.api.v2.routerprotocol.com/v1/chains',
headers={'X-API-Key': 'your-api-key-here'}
)
return response.json()

# Usage
chains_data = get_chains()
print(f"Supported chains: {len(chains_data['chains'])}")